Bug 960778 - [abrt] gparted-0.14.1-1.fc19: gail_widget_notify_gtk: Process /usr/sbin/gpartedbin was killed by signal 11 (SIGSEGV)
Summary: [abrt] gparted-0.14.1-1.fc19: gail_widget_notify_gtk: Process /usr/sbin/gpart...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gparted
Version: 19
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Deji Akingunola
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:eb58f22946a09873700a87b1af1...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-05-07 23:58 UTC by Adam Williamson
Modified: 2013-07-20 09:49 UTC (History)
1 user (show)

Fixed In Version: gparted-0.16.1-2.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-07-20 09:43:18 UTC


Attachments (Terms of Use)
File: backtrace (82.12 KB, text/plain)
2013-05-07 23:58 UTC, Adam Williamson
no flags Details
File: cgroup (128 bytes, text/plain)
2013-05-07 23:58 UTC, Adam Williamson
no flags Details
File: core_backtrace (1.42 KB, text/plain)
2013-05-07 23:58 UTC, Adam Williamson
no flags Details
File: dso_list (9.30 KB, text/plain)
2013-05-07 23:58 UTC, Adam Williamson
no flags Details
File: environ (257 bytes, text/plain)
2013-05-07 23:58 UTC, Adam Williamson
no flags Details
File: limits (1.29 KB, text/plain)
2013-05-07 23:58 UTC, Adam Williamson
no flags Details
File: maps (47.38 KB, text/plain)
2013-05-07 23:58 UTC, Adam Williamson
no flags Details
File: open_fds (347 bytes, text/plain)
2013-05-07 23:59 UTC, Adam Williamson
no flags Details
File: proc_pid_status (920 bytes, text/plain)
2013-05-07 23:59 UTC, Adam Williamson
no flags Details
File: var_log_messages (311 bytes, text/plain)
2013-05-07 23:59 UTC, Adam Williamson
no flags Details

Description Adam Williamson 2013-05-07 23:58:47 UTC
Description of problem:
I don't recall, sorry. Mainly filing this bug to test abrt/libreport.

Version-Release number of selected component:
gparted-0.14.1-1.fc19

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        /usr/sbin/gpartedbin
crash_function: gail_widget_notify_gtk
executable:     /usr/sbin/gpartedbin
kernel:         3.9.0-0.rc7.git3.1.fc19.x86_64
runlevel:       N 5
uid:            0
xsession_errors: 

Truncated backtrace:
Thread no. 1 (5 frames)
 #0 gail_widget_notify_gtk at gailwidget.c:959
 #6 g_object_notify_by_spec_internal at gobject.c:1136
 #7 g_object_notify at gobject.c:1178
 #8 gtk_widget_show at gtkwidget.c:3244
 #9 Gtk::Main::run at main.cc:485

Comment 1 Adam Williamson 2013-05-07 23:58:49 UTC
Created attachment 744924 [details]
File: backtrace

Comment 2 Adam Williamson 2013-05-07 23:58:51 UTC
Created attachment 744925 [details]
File: cgroup

Comment 3 Adam Williamson 2013-05-07 23:58:52 UTC
Created attachment 744926 [details]
File: core_backtrace

Comment 4 Adam Williamson 2013-05-07 23:58:54 UTC
Created attachment 744927 [details]
File: dso_list

Comment 5 Adam Williamson 2013-05-07 23:58:56 UTC
Created attachment 744928 [details]
File: environ

Comment 6 Adam Williamson 2013-05-07 23:58:57 UTC
Created attachment 744929 [details]
File: limits

Comment 7 Adam Williamson 2013-05-07 23:58:59 UTC
Created attachment 744930 [details]
File: maps

Comment 8 Adam Williamson 2013-05-07 23:59:01 UTC
Created attachment 744931 [details]
File: open_fds

Comment 9 Adam Williamson 2013-05-07 23:59:03 UTC
Created attachment 744932 [details]
File: proc_pid_status

Comment 10 Adam Williamson 2013-05-07 23:59:04 UTC
Created attachment 744933 [details]
File: var_log_messages

Comment 11 Fedora Update System 2013-06-11 16:37:08 UTC
gparted-0.16.1-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/gparted-0.16.1-2.fc18

Comment 12 Fedora Update System 2013-06-11 16:38:02 UTC
gparted-0.16.1-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/gparted-0.16.1-2.fc19

Comment 13 Fedora Update System 2013-06-11 16:39:12 UTC
gparted-0.16.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/gparted-0.16.1-1.fc17

Comment 14 Adam Williamson 2013-06-11 23:08:07 UTC
As I have no idea how I triggered this I can't really test the fix, but thanks!

Comment 15 Fedora Update System 2013-06-12 02:37:48 UTC
Package gparted-0.16.1-2.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gparted-0.16.1-2.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-10621/gparted-0.16.1-2.fc18
then log in and leave karma (feedback).

Comment 16 Adam Williamson 2013-06-13 02:21:11 UTC
I hit this crash three in a row with gparted-0.16.1-2.fc19, at least, abrt claims it's this crash. In any case, 0.16.1-2.fc19 crashes reliably on startup for me.

Comment 17 Fedora Update System 2013-07-20 09:43:18 UTC
gparted-0.16.1-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2013-07-20 09:48:54 UTC
gparted-0.16.1-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2013-07-20 09:49:42 UTC
gparted-0.16.1-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.